Bug 323474 - Autocompletion from recent addresses needs restart to turn off
Summary: Autocompletion from recent addresses needs restart to turn off
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: composer (show other bugs)
Version: 4.10.5
Platform: unspecified Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-13 23:54 UTC by Volker Kuhlmann
Modified: 2013-09-13 11:51 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Kuhlmann 2013-08-13 23:54:37 UTC
The autocompletion of addresses from the recent addresses list is controlled by Settings->Composer->"Use recent addreses for autocompletion".
When this is off, turning it on gives autocompletion from recent addresses in the composer window.
Turning it back off does not take effect until after a kmail restart.

Reproducible: Always

Steps to Reproduce:
1. Turn off Setting->Composer->"Use recent addreses for autocompletion"
2. restart kmail
3. Compose an email, verify recent addresses are not used for autocompletion.
4. Turn this on in the settings.
5. Compose an email, verify recent addresses are used for autocompletion.
6. Turn this off in the settings,
7. Compose an email, verify recent addresses are not used for autocompletion.
Actual Results:  
Autocompletion is still used, although it is turned off in the settings.

After restarting kmail this function is indeed off.

Expected Results:  
Function only available when enabled.
A kmail restart should not be necessary.
Comment 1 Laurent Montel 2013-09-13 08:13:58 UTC
I confirm it.
Will investigate it soon.
Comment 2 Laurent Montel 2013-09-13 11:51:25 UTC
Git commit 1759bbedef45013611c18b3f215d972b1a4dd6a9 by Montel Laurent.
Committed on 13/09/2013 at 11:51.
Pushed by mlaurent into branch 'KDE/4.11'.

Fix Bug 323474 - Autocompletion from recent addresses needs restart to turn off

FIXED-IN: 4.11.2

M  +14   -0    libkdepim/addressline/addresseelineedit.cpp
M  +2    -0    libkdepim/addressline/addresseelineedit.h
M  +4    -1    messagecomposer/composer/composerlineedit.cpp

http://commits.kde.org/kdepim/1759bbedef45013611c18b3f215d972b1a4dd6a9